! 	This F90 program shows difference in accuracy of reals
!	==============================
        program f90var5
	implicit none

        real             :: numerator1, denominator1, quotient1
        double precision :: numerator2, denominator2, quotient2
        real(4)          :: numerator3, denominator3, quotient3
        real(8)          :: numerator4, denominator4, quotient4

! ===================================================
! Divide single precision integers
! ===================================================
	numerator1   = 22.0
	denominator1 = 7.0
	quotient1    = numerator1 / denominator1
	print *
	print *, "numerator1/denominator1 = ", quotient1

! ===================================================
! Divide double precision integers
! ===================================================
	numerator2   = 22.0
	denominator2 = 7.0
	quotient2    = numerator2 / denominator2
	print *
	print *, "numerator2/denominator2 = ", quotient2

! ========================================================
! Shows that real(4) is same as single precision integers
! ========================================================
	numerator3   = 22.0
	denominator3 = 7.0
	quotient3    = numerator3 / denominator3
	print *
	print *, "numerator3/denominator3 = ", quotient3

! ========================================================
! Shows that real(8) is same as double precision integers
! ========================================================
	numerator4   = 22.0
	denominator4 = 7.0
	quotient4    = numerator4 / denominator4
	print *
	print *, "numerator4/denominator4 = ", quotient4

	stop
	end
